#include <PixelPlus.h>

PixelPlus PIXEL ;

void
setup()
{
  PIXEL.init() ;
  PIXEL.backLight(1) ;
  PIXEL.clear(255,255,255) ;
 
  PIXEL.setCursor(0,2) ;
  PIXEL.setTextColor(255,0,0) ;
  PIXEL.println("MicroFan PIXEL-PLUS") ;
  PIXEL.setTextColor(0,255,0) ;
  PIXEL.println("Arduino Mini Shield") ;
  PIXEL.setTextColor(0,0,255) ;
  PIXEL.println("Color TFT 128x128") ;
  PIXEL.setTextColor(255, 0, 255) ;
  PIXEL.println("SW X 4") ;
  PIXEL.setTextColor(255,255,0) ;
  PIXEL.println("LED X 1") ;
  PIXEL.setTextColor(0, 255,255) ;
  PIXEL.println("Piezoelectric Speaker") ;
  
  for (int i = 0 ; i < 128; i++) {
    PIXEL.drawLine(i, 80, i, 127, (i&0x60)<<1, (i & 0x18) <<3, (i&0x07)<<5) ;
  }
  PIXEL.drawLine(0, 80, 127, 127, 0) ;
  PIXEL.drawLine(127, 80, 0, 127, 0) ;
}

void
loop()
{
  PIXEL.beep(PIXEL.sw1()) ;

  if (PIXEL.sw3())
    PIXEL.backLight(1) ;
    
  if (PIXEL.sw4())
    PIXEL.backLight(0) ;
    
  delay(100) ;
}
