#include <PixelPlus.h>

PixelPlus PIXEL ;

void setup()
{
  PIXEL.init() ; // 初期化
  PIXEL.backLight(1) ; // バックライトの点灯

  PIXEL.clear(255,255,255) ; // 画面を白色で初期化
  
  PIXEL.setCursor(0,2) ;
  PIXEL.setTextColor(255,0,0) ;
  PIXEL.println("MicroFan PIXEL-PLUS") ;
  PIXEL.setTextColor(0,255,0) ;
  PIXEL.println("Arduino Mini Shield") ;
  PIXEL.setTextColor(0,0,255) ;
  PIXEL.println("Color TFT 128x128") ;
  PIXEL.setTextColor(255, 0, 255) ;
  PIXEL.println("SW X 4, Sounder, LED") ;
  
  PIXEL.setScroll(8, 15) ; // スクロール領域を画面下部に設定
  PIXEL.setBgColor(255,255,127) ; // 背景色を黄色に
}

int col = 0 ;
int c = 'A' ;

void loop()
{
  if (PIXEL.sw1()) {
    PIXEL.setBgColor(0,0,0) ;
  }
  if (PIXEL.sw2()) {
    PIXEL.setBgColor(255,255,127) ;
  }
  if (PIXEL.sw3()) {
    PIXEL.setBgColor(255,255,255) ;
  }
  if (PIXEL.sw4()) {
    PIXEL.setBgColor(127,255,255) ;
  }
  
  if (c > 'Z') {
    c = 'A' ;
    PIXEL.println(".") ;

    col++ ;
    if (col > 3)
      col = 0 ;
      
    switch (col) {
      case 0:
        PIXEL.setTextColor(0,0,0) ;
        break ;
      case 1:
        PIXEL.setTextColor(255,0,0) ;
        break ;
      case 2:
        PIXEL.setTextColor(0,255,0) ;
        break ;
      case 3:
        PIXEL.setTextColor(0,0,255) ;
        break ;
    }
  } else
    PIXEL.write(c++) ;
    
  delay(50) ;
}

